optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.SignalFlowManager.SignalFlowManager Class Reference
Inheritance diagram for optoKummenberg.registers.SignalFlowManager.SignalFlowManager:

## Public Member Functions
| __init__ (self, board=None)
| SetStageSystem (self, path_id, stage_id, channel_id, system_id)
| Sets the system on the specific stage.
| GetStageSystem (self, path_id, stage_id, channel_id)
| Gets the system on the specific stage.
| GetStageOutput (self, path_id, stage_id, channel_id)
| Gets stage output.
| GetStageOutputRegisterID (self, path_id, stage_id, channel_id)
| Gets stage output register ID.
| SetMainToForwardConnection (self, channel_mask=0x0F)
| Sets main to forward connection, channel_mask zero bit resets connection for particular channel.
| SetDefaultSignalFlow (self)
| Sets the default signal flow.
| SetFeedForwardConnection (self, register_idx, channel_mask)
| Sets feed forward conection register index: 0 - output conditioning stage, 1 - output stage channel_mask zero bit resets connection for particular channel.
| SetFeedBackConnection (self, channel_mask)
| Sets feedback conection channel_mask zero bit resets connection for particular channel.
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| PATH_OFFSET
| CHANNEL_OFFSET
| CONFIG_OUTPUT_REG_NBR
| STAGE_REG_NBR
| stageRegister
| configOutput
| mainToForward
| feedForward
| feedBack
| defaultSignalFlow
| stageOutput
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Attributes
| _readonly
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    The Signal Flow Manager is managing the active systems in the signal flow chain.
    Advanced manager System ID for channel X: 0x41

    +---------------------+---------------+-------------+----------+--------------+---------------+--------------------+
    | Register Name       | Id            | Type        | Unit     | Range        | Default       | Comment            |
    +=====================+================+=============+==========+==============+===============+====================+
    | input               | 5x CHANNEL + 0 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+
    | input_conditioning  | 5x CHANNEL + 1 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+
    | control             | 5x CHANNEL + 2 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+
    | output_conditioning | 5x CHANNEL + 3 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+
    | output              | 5x CHANNEL + 4 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.__init__ | ( |  | self,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## Member Function Documentation

## ◆ GetStageOutput()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.GetStageOutput | ( |  | self,
|  |  | path_id,
|  |  | stage_id,
|  |  | channel_id )

Gets stage output.

## ◆ GetStageOutputRegisterID()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.GetStageOutputRegisterID | ( |  | self,
|  |  | path_id,
|  |  | stage_id,
|  |  | channel_id )

Gets stage output register ID.

## ◆ GetStageSystem()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.GetStageSystem | ( |  | self,
|  |  | path_id,
|  |  | stage_id,
|  |  | channel_id )

Gets the system on the specific stage.

(input stage, input conditiong stage, control stage, output conditioning stage, output stage)

## ◆ help()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.help | ( |  | ) |
| static

## ◆ SetDefaultSignalFlow()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.SetDefaultSignalFlow | ( |  | self | ) |

Sets the default signal flow.

## ◆ SetFeedBackConnection()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.SetFeedBackConnection | ( |  | self,
|  |  | channel_mask )

Sets feedback conection channel_mask zero bit resets connection for particular channel.

## ◆ SetFeedForwardConnection()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.SetFeedForwardConnection | ( |  | self,
|  |  | register_idx,
|  |  | channel_mask )

Sets feed forward conection register index: 0 - output conditioning stage, 1 - output stage channel_mask zero bit resets connection for particular channel.

## ◆ SetMainToForwardConnection()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.SetMainToForwardConnection | ( |  | self,
|  |  | channel_mask = 0x0F )

Sets main to forward connection, channel_mask zero bit resets connection for particular channel.

## ◆ SetStageSystem()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.SetStageSystem | ( |  | self,
|  |  | path_id,
|  |  | stage_id,
|  |  | channel_id,
|  |  | system_id )

Sets the system on the specific stage.

(input stage, input conditiong stage, control stage, output conditioning stage, output stage)

## Member Data Documentation

## ◆ _readonly

optoKummenberg.registers.SignalFlowManager.SignalFlowManager._readonly
| protected

## ◆ CHANNEL_OFFSET

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.CHANNEL_OFFSET

## ◆ CONFIG_OUTPUT_REG_NBR

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.CONFIG_OUTPUT_REG_NBR

## ◆ configOutput

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.configOutput

## ◆ defaultSignalFlow

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.defaultSignalFlow

## ◆ feedBack

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.feedBack

## ◆ feedForward

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.feedForward

## ◆ mainToForward

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.mainToForward

## ◆ name

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.name

## ◆ PATH_OFFSET

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.PATH_OFFSET

## ◆ STAGE_REG_NBR

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.STAGE_REG_NBR

## ◆ stageOutput

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.stageOutput

## ◆ stageRegister

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.stageRegister

## ◆ sys_id

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/SignalFlowManager.py